;
; This is the code present on unoccupied flash pages, for example typing F09
; and then J000 will show you the message
;
; All code is available at http://www.stockly.com
;     or by e-mailing grant@stockly.com
;
	cpu	6800		; Assemble for the 6800
	relaxed on		; Allow non-intel constant formats

ACIACS	EQU	$F000
ACIADA	EQU	$F001

	ORG	$0000
	
	LDX	#Error	;Print Message
	BSR	OUTST
	
	JMP	$8000

OUTST	LDA	B, 0, X
	CMP	B, #0
	BEQ	ENDST
	PSH	B		;SAVE CHAR
OUTS1 LDA	B, ACIACS	;ACIA STATUS T0 B
	ASRB			;ROTATE RDRF BIT INTO CARRY
	ASR	B
	BCC	OUTS1		;XMIT NOT READY
	PUL	B		;CHAR BACK TO B REG
	STA	B, ACIADA	;OUTPUT CHARACTER
	INX
	JMP	OUTST
ENDST	RTS

Error	FCB	$0D, $0A
	FCB	$0D, $0A
	FCB	"There is no program in this page!"
	FCB	$0D, $0A
	FCB	$0D, $0A
	FCB	$00